<td-message
  *ngIf="message.show"
  [label]="message.label"
  [sublabel]="message.sublabel"
  [color]="message.color"
  [icon]="message.icon"
  class="uk-margin"
></td-message>
<tnt-barn-form
  [formGroup]="form"
  (submitting)="onSubmitting($event)"
  (submitted)="onSubmitted($event)"
>
  <app-file-upload
    [imageURL]="image.value"
    allowed_extensions="image/*"
    (filesChanged)="onFilesChanged($event)"
  >
    <div><mat-icon>cloud_upload</mat-icon></div>
    <p>Arrastre su foto de perfíl aquí.</p>
    <mat-form-field>
      <div align="center">
        <button mat-raised-button>Seleccionar</button>
        <input matInput #image formControlName="image" style="display: none" />
      </div>
      <mat-error *ngIf="f.image.status === 'INVALID'">
        <span *ngFor="let error of errors('image')">{{
          errorMessages['image'][error]
        }}</span>
      </mat-error>
    </mat-form-field>
  </app-file-upload>

  <mat-form-field class="uk-width-1-1 uk-margin-small">
    <input
      matInput
      #postedAt
      placeholder="Fecha de publicación"
      id="postedAt"
      name="postedAt"
      (dateChange)="onDateChanged($event)"
      formControlName="postedAt"
      [matDatepicker]="picker"
    />
    <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
    <mat-datepicker #picker></mat-datepicker>
  </mat-form-field>

  <mat-form-field class="uk-width-1-1 uk-margin-small">
    <input
      matInput
      #title
      placeholder="Título"
      id="title"
      name="title"
      formControlName="title"
      (change)="onPathChanged($event)"
    />
  </mat-form-field>

  <mat-form-field class="uk-width-1-1 uk-margin-small">
    <input
      matInput
      #path
      placeholder="Ruta"
      id="path"
      name="path"
      formControlName="path"
    />
  </mat-form-field>

  <mat-form-field class="uk-width-1-1 uk-margin-small">
    <input
      matInput
      #descriptio
      placeholder="Descripción"
      id="description"
      name="description"
      formControlName="description"
    />
  </mat-form-field>

  <mat-form-field class="uk-width-1-1 uk-margin-small">
    <input
      matInput
      #keywords
      placeholder="Palabras clave"
      id="keywords"
      name="keywords"
      formControlName="keywords"
    />
  </mat-form-field>

  <mat-form-field class="uk-width-1-1 uk-margin-small">
    <textarea
      matInput
      #content
      id="content"
      name="content"
      #froalaEditor
      [froalaEditor]="optionsEditor"
      formControlName="content"
    ></textarea>
  </mat-form-field>

  <div class="uk-width-1-1 uk-margin-small">
    <section>
      <mat-slide-toggle
        color="accent"
        formControlName="blocked"
        name="blocked"
        required
        #blocked
      >
        Blocked
      </mat-slide-toggle>
    </section>
  </div>

  <div class="uk-width-1-1 uk-margin-small">
    <section>
      <mat-slide-toggle
        color="warn"
        formControlName="deleted"
        name="deleted"
        required
        #deleted
      >
        Deleted
      </mat-slide-toggle>
    </section>
  </div>

  <mat-divider></mat-divider>

  <mat-card-actions align="right" class="uk-margin-small">
    <button
      mat-raised-button
      color="primary"
      type="submit"
      [disabled]="submitted"
    >
      Save
    </button>
  </mat-card-actions>
</tnt-barn-form>
